package com.ruoyi.ss.transactionBill.service;

import com.ruoyi.ss.transactionBill.domain.bo.*;
import com.ruoyi.ss.transactionBill.domain.dto.*;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/7/28
 */
public interface TransactionBillConverter {

    /**
     * 将参数转为充值BO
     */
    RechargeBO toRechargeBO(RechargeDTO dto);

    /**
     * 将参数转为提现BO
     */
    WithdrawBO toWithdrawBO(WithdrawDTO dto);

    /**
     * 转为充值支付BO
     */
    RechargePayBO toRechargePayBO(TransactionBillVO bill, Long channelId);

    RechargePayDepositBO toRechargePayDepositBO(PayDepositDTO dto);

    EndUseBO toEndUseBO(EndUseDTO dto);

}
